hpp-corbaserver: hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage > Class Template Reference

`#include <hpp/corbaserver/core_idl/problem.hh>`

Inheritance diagram for hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >:
[legend]

## Public Member Functions
| ProblemServant (Server *server, const Storage &p)
virtual | ~ProblemServant ()
hpp::core_idl::Distance_ptr | getDistance ()
void | setDistance (hpp::core_idl::Distance_ptr distance)
hpp::core_idl::SteeringMethod_ptr | getSteeringMethod ()
void | setSteeringMethod (hpp::core_idl::SteeringMethod_ptr steeringMethod)
hpp::core_idl::PathValidation_ptr | getPathValidation ()
void | setPathValidation (hpp::core_idl::PathValidation_ptr pathValidation)
Public Member Functions inherited from hpp::corbaServer::ServantBase< core::Problem, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Public Types inherited from hpp::corbaServer::ServantBase< core::Problem, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t
Protected Member Functions inherited from hpp::corbaServer::ServantBase< core::Problem, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< core::Problem, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Constructor & Destructor Documentation

## ◆ ProblemServant()

template<typename _Base , typename _Storage >

hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::ProblemServant | ( | Server * | server,
|  | const Storage & | p
| ) |  |
| inline

## ◆ ~ProblemServant()

template<typename _Base , typename _Storage >

virtual hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::~ProblemServant | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getDistance()

template<typename _Base , typename _Storage >

hpp::core_idl::Distance_ptr hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::getDistance | ( |  | ) |
| inline

## ◆ getPathValidation()

template<typename _Base , typename _Storage >

hpp::core_idl::PathValidation_ptr hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::getPathValidation | ( |  | ) |
| inline

## ◆ getSteeringMethod()

template<typename _Base , typename _Storage >

hpp::core_idl::SteeringMethod_ptr hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::getSteeringMethod | ( |  | ) |
| inline

## ◆ setDistance()

template<typename _Base , typename _Storage >

void hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::setDistance | ( | hpp::core_idl::Distance_ptr | distance | ) |
| inline

## ◆ setPathValidation()

template<typename _Base , typename _Storage >

void hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::setPathValidation | ( | hpp::core_idl::PathValidation_ptr | pathValidation | ) |
| inline

## ◆ setSteeringMethod()

template<typename _Base , typename _Storage >

void hpp::corbaServer::core_idl::ProblemServant< _Base, _Storage >::setSteeringMethod | ( | hpp::core_idl::SteeringMethod_ptr | steeringMethod | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/core_idl/problem.hh